Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028685
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminoralways2015-01-20 11:192015-05-07 22:16
ReporterdaniOpenbravoView Statuspublic 
Assigned Toreinaldoguerra 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisione3567f5fee07
ProjectionnoneETAnoneTarget Versionpi
OSLinux 64 bitDatabaseOracleJava version1.6
OS Version14.04Database version2.1.1.64Ant version1.7
Product Version3.0PR14Q4SCM revision 
Review Assigned Tovmromanos
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028685: Goods shipment and invoice relationship not created when launching "Create shipments from orders" form.

DescriptionRelationship between goods shipment and invoice is not created if we have created previously the invoice and launch "Create shipments from orders" form in order to create goods shipment.

However, if we do not use that form and create good shipment manually (using "create lines from"), the relationship will be established in the correct way.
Steps To Reproduce1- Create a sales order: qty=3.
2- Create sales invoice related to previous sales order: qty=3.
3.1- Try to create the good shipment manually creating a new record, using "create lines from" and selecting the invoice created on point 2 with qty=1. As you can see, once this record is completed, relationship between good shipment and invoice is established correctly.
3.2- Now, try to create the good shipment record using "Create Shipments from orders".
 - In the form, introduce "Order doc no." created on step 1.
 - Fill "Delivery Date" field in and press on Process button.
A new record has been created in Goods Shipment window, but it is not linked to invoice created on step 2.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024355 closedAtulOpenbravo "Good Shipment Line" field information is not filled when creating POS Order with Invoice Terms=Immediate 
related to defect 0032709 closedAtulOpenbravo Sales Invoice - Invoice Term=Immediate does not create link to Good Shipment in Sales Invoice 
related to defect 0032938 closedAtulOpenbravo It is necessary a script to add the 1-1 relation between sales invoice line and goods shipment line 

-  Notes
(0075263)
reinaldoguerra (developer)
2015-03-07 16:52

Test plan used:
1- Login into Openbravo ERP
2- Go to sales order and create a new header, select Immediate as Invoice Terms
3- Go to lines tab and create a new one, selecting a product with stock, qty=3
4- Book it
5- Go to sales invoice window and create a new header for the same organization and business partner
6- Click on Create Lines From and select previos order in the order's combo.
7- Select grid's records and click on OK button
8- Complete the invoice
9- Go to Create Shipments from orders form
10- Select created order and execute the process
11- A new shipment is created. Now go to invoice's line(s) created in step 5 and realize that now relationship with created shipment is seted successfuly.
(0076775)
hgbot (developer)
2015-04-27 11:30

Repository: erp/devel/pi
Changeset: e3567f5fee073f3c5a92b09a2554a70794996a67
Author: Reinaldo Guerra <reinaldo.guerra <at> peoplewalking.com>
Date: Fri Mar 06 19:08:58 2015 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/e3567f5fee073f3c5a92b09a2554a70794996a67 [^]

Fixed bug 28685: Goods shipment and invoice relationship not seted in some cases

Goods shipment and invoice relationship was not created when creating shipments using manual form: "Create shipments from orders", so like happens when shipment's lines are created from an specific order, now the invoice's line related to the order, is updated with the shipment's line when it is created from the mentioned manual form, only if this field is null in the invoice's table, i.e. if the invoice is not linked to a previos shipment.
Now goods shipment and invoice relationship is created successfuly when launching "Create shipments from orders" form.
M_InOut_Create was modified so all processes that executed this stored procedure are affected with this change.

---
M src-db/database/model/functions/M_INOUT_CREATE.xml
---
(0076776)
vmromanos (developer)
2015-04-27 11:30

Code review + testing OK
(0077160)
hudsonbot (developer)
2015-05-07 22:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a1817f84bd8b [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-01-20 11:19 daniOpenbravo New Issue
2015-01-20 11:19 daniOpenbravo Assigned To => dmiguelez
2015-01-20 11:19 daniOpenbravo Web browser => Google Chrome
2015-01-20 11:19 daniOpenbravo Modules => Core
2015-01-20 11:19 daniOpenbravo Triggers an Emergency Pack => No
2015-01-26 13:17 jonalegriaesarte Web browser Google Chrome => Google Chrome
2015-03-04 17:58 Sandrahuguet Assigned To dmiguelez => Sandrahuguet
2015-03-05 02:10 reinaldoguerra Web browser Google Chrome => Google Chrome
2015-03-05 02:10 reinaldoguerra Assigned To Sandrahuguet => reinaldoguerra
2015-03-05 02:10 reinaldoguerra Status new => scheduled
2015-03-07 16:52 reinaldoguerra Note Added: 0075263
2015-04-27 11:30 hgbot Checkin
2015-04-27 11:30 hgbot Note Added: 0076775
2015-04-27 11:30 hgbot Status scheduled => resolved
2015-04-27 11:30 hgbot Resolution open => fixed
2015-04-27 11:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e3567f5fee073f3c5a92b09a2554a70794996a67 [^]
2015-04-27 11:30 vmromanos Review Assigned To => vmromanos
2015-04-27 11:30 vmromanos Note Added: 0076776
2015-04-27 11:30 vmromanos Status resolved => closed
2015-05-07 22:16 hudsonbot Checkin
2015-05-07 22:16 hudsonbot Note Added: 0077160
2016-01-08 12:29 ngarcia Relationship added related to 0024355
2016-05-11 13:16 aferraz Relationship added related to 0032709
2016-05-12 10:00 ngarcia Relationship added related to 0032938


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker